package cn.com.countrygarden.bi.main.dao.marketing;

import cn.com.countrygarden.bi.main.model.marketing.CommReportWeekly;
import cn.com.countrygarden.bi.main.model.marketing.CommReportWeeklySummary;
import com.github.pagehelper.PageRowBounds;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

public interface CommReportWeeklyMapper extends Mapper<CommReportWeekly> {
    void insertOrUpdate(Map<String, Object> param);
    List<CommReportWeekly> search(Map<String, Object> param);
    CommReportWeekly getCurrentReport(Map<String, Object> param);
    List<CommReportWeeklySummary> fincSummaryByWeek(Map<String,Object> param, PageRowBounds pageRowBounds);
}